// Blur fragment shader with a 5x5 gaussian blur.

precision mediump float;
uniform sampler2D uBlurTexture; // texture to blur
uniform float uBlurBufferSize;  // 1 / Size of the blur buffer
uniform vec3 uGaussBlurTerms;
varying vec2 vTexCoord;         // input original texture coords for fragment
                                // shader. [0,1]
varying vec2 vBlurTexCoords[5]; // input texture coords for blur sampling, for
                                // fragment shader.

void main()
{
    vec4 sum = vec4(0.0);
    // Gaussian blur. Sigma: 2.3, kernel size: 5.
    sum += texture2D(uBlurTexture, vBlurTexCoords[0]) * uGaussBlurTerms.x; //0.00001;
    sum += texture2D(uBlurTexture, vBlurTexCoords[1]) * uGaussBlurTerms.y; //0.04779;
    sum += texture2D(uBlurTexture, vBlurTexCoords[2]) * uGaussBlurTerms.z; //0.9999;
    sum += texture2D(uBlurTexture, vBlurTexCoords[3]) * uGaussBlurTerms.y; //0.04779;
    sum += texture2D(uBlurTexture, vBlurTexCoords[4]) * uGaussBlurTerms.x; //0.00001;
    gl_FragColor = sum;
}
